Qt Utilities: QtUtilities::PaletteEditor Class Reference

Qt Utilities 6.20.0 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
QtUtilities::PaletteEditor Class Reference

The PaletteEditor class provides a dialog to customize a QPalette. More...

`#include <paletteeditor.h>`

Inheritance diagram for QtUtilities::PaletteEditor:
[legend]
Collaboration diagram for QtUtilities::PaletteEditor:
[legend]

## Public Member Functions
| PaletteEditor (QWidget *parent)
| ~PaletteEditor () override
QPalette | palette () const
void | setPalette (const QPalette &palette)
void | setPalette (const QPalette &palette, const QPalette &parentPalette)

## Static Public Member Functions
static QPalette | getPalette (QWidget *parent, const QPalette &init=QPalette(), const QPalette &parentPal=QPalette(), int *result=nullptr)

## Protected Member Functions
bool | event (QEvent *event) override

## Properties
QPalette | palette

## Detailed Description

The PaletteEditor class provides a dialog to customize a QPalette.

This is taken from qttools/src/designer/src/components/propertyeditor/paletteeditor.cpp. In contrast to the original version this version doesn't provide a preview.

Definition at line 29 of file paletteeditor.h.

## Constructor & Destructor Documentation

## ◆ PaletteEditor()

QtUtilities::PaletteEditor::PaletteEditor | ( | QWidget * | parent | ) |

Definition at line 23 of file paletteeditor.cpp.

## ◆ ~PaletteEditor()

QtUtilities::PaletteEditor::~PaletteEditor | ( |  | ) |
| override

Definition at line 57 of file paletteeditor.cpp.

## Member Function Documentation

## ◆ event()

bool QtUtilities::PaletteEditor::event | ( | QEvent * | event | ) |
| overrideprotected

Definition at line 110 of file paletteeditor.cpp.

## ◆ getPalette()

QPalette QtUtilities::PaletteEditor::getPalette | ( | QWidget * | parent,
|  | const QPalette & | init = QPalette(),
|  | const QPalette & | parentPal = QPalette(),
|  | int * | result = nullptr )
| static

Definition at line 239 of file paletteeditor.cpp.

## ◆ palette()

QPalette QtUtilities::PaletteEditor::palette | ( |  | ) | const

Definition at line 61 of file paletteeditor.cpp.

## ◆ setPalette() [1/2]

void QtUtilities::PaletteEditor::setPalette | ( | const QPalette & | palette | ) |

Definition at line 66 of file paletteeditor.cpp.

## ◆ setPalette() [2/2]

void QtUtilities::PaletteEditor::setPalette | ( | const QPalette & | palette,
|  | const QPalette & | parentPalette )

Definition at line 104 of file paletteeditor.cpp.

## Property Documentation

## ◆ palette

QPalette QtUtilities::PaletteEditor::palette
| readwrite

Definition at line 31 of file paletteeditor.h.

The documentation for this class was generated from the following files:

- paletteeditor/paletteeditor.h
- paletteeditor/paletteeditor.cpp